:root {
    --inv-primary: #E07955;
    --inv-primary-black: #a75a3f;
    --inv-secondary: #FCCA6B;
    --inv-semi-light: #FFEAD5;
    --inv-light: #FFFAF0;

    --inv-title: #2A3A57;
    --inv-title-dark: #494D50;
    --inv-subtitle: #3B6875;

    --inv-blue-light: #e5f7fe;
    --inv-blue-pink: #eb5376;
    --inv-blue-brown: #57412c;
    --inv-salmon: #FFDBCE;
}

body {
    background-color: var(--falcon-white) !important;
}

.main {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

/*===== INICIO =====*/
#navbar_top {
    transition: all ease-in-out 0.5s;
}

#carouselHome {
    margin: -1rem;
}

#carouselHome .carousel-inner>.carousel-item img {
    width: 100%;
    height: 65vh;
    min-height: 350px;
    object-fit: contain;
    object-position: center;
}

.nav-link {
    font-weight: 500;
}

.nav-link.active {
    color: var(--inv-primary) !important;
}

.custom-accordion .accordion-button {
    background-color: var(--inv-light);
}

.custom-accordion .accordion-button:not(.collapsed) {
    background-color: var(--inv-semi-light);
}

.col-item,
.col-item-2 {
    transition: all 0.15s ease;
}

.col-item:hover {
    scale: 1.1;
    cursor: pointer;
    border: 2px solid var(--inv-primary) !important;
}

.col-item-2:hover {
    scale: 1.1;
    cursor: pointer;
}

.card-most-popular {
    position: relative;
    transform: scale(1.08);
}

.card-most-popular .most-popular {
    position: absolute;
    top: -20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--inv-primary);
    color: #fff;
    padding: 4px 20px;
    font-size: 18px;
    border-radius: 5px;
}

.profile-banner {
    background-image: url('../img/profile_back.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 25vh;
    width: 100%;
}

.whats-float {
    position: fixed;
    transform: translate(108px, 0px);
    bottom: 10%;
    right: 0;
    width: 150px;
    overflow: hidden;
    background-color: #25d366;
    color: #FFF;
    border-radius: 4px 0 0 4px;
    z-index: 10;
    transition: all 0.4s ease-in-out;
    vertical-align: middle
}

.whats-float a span {
    color: white;
    font-size: 15px;
    padding-top: 8px;
    padding-bottom: 10px;
    position: absolute;
    line-height: 16px;
    font-weight: bolder;
}

.whats-float .icon {
    color: white;
    line-height: 30px;
    padding: 5px;
    transform: rotate(0deg);
    transition: all 0.5s ease-in-out;
    text-align: center;
}

.whats-float:hover {
    color: #FFFFFF;
    transform: translate(0px, 0px);
}

.whats-float:hover i {
    transform: rotate(360deg);
}

/*===== HEADER =====*/
.custom-navbar .navbar-toggler {
    width: 50px;
    height: 50px;
    padding: 0;
    border-radius: 50%;
    transition: 0.3s ease-in-out;
    flex-shrink: 0;
}

.custom-navbar .navbar-toggler:focus {
    box-shadow: none;
}

/*===== FOOTER =====*/
.footer-section {
    background-color: var(--inv-primary);
    margin-top: auto;
}

.footer-item {
    border-bottom: 2px solid var(--inv-light);
}

.footer-section .menu li {
    background-color: transparent;
    border: none;
    padding: 6px 20px 6px 20px;
}

.footer-section .menu li a {
    color: #ffff;
    background-color: transparent;
    text-decoration: none;
    font-size: 1.2rem;
}

.copyright-area {
    background-color: var(--inv-primary-black);
    padding: 25px 0;
}

/*===== CUSTOM LOADER =====*/
.custom-loader {
    margin: auto;
    width: 120px;
    aspect-ratio: 1;
    display: grid;
    border: 8px solid #0000;
    border-radius: 50%;
    border-color: #ccc #0000;
    animation: loader-animation 1s infinite linear;
}

.custom-loader::before,
.custom-loader::after {
    content: "";
    grid-area: 1/1;
    margin: 2px;
    border: inherit;
    border-radius: 50%;
}

.custom-loader::before {
    border-color: var(--inv-primary) #0000;
    animation: inherit;
    animation-duration: .5s;
    animation-direction: reverse;
}

.custom-loader::after {
    margin: 8px;
}

@keyframes loader-animation {
    100% {
        transform: rotate(1turn)
    }
}

/*===== UTIL =====*/
.btn-up {
    z-index: 500;
    display: none;
    position: fixed;
    bottom: 15px;
    right: 15px;
}

.cursor-pointer:hover {
    cursor: pointer;
}

.text-inv-primary {
    color: var(--inv-primary) !important;
}

.text-inv-primary-black {
    color: var(--inv-primary-black) !important;
}

.text-inv-secondary {
    color: var(--inv-secondary) !important;
}

.text-inv-light {
    color: var(--inv-light) !important;
}

.text-inv-semi-light {
    color: var(--inv-light) !important;
}

.bg-inv-primary {
    background-color: var(--inv-primary) !important;
}

.bg-inv-primary-black {
    background-color: var(--inv-primary-black) !important;
}

.bg-inv-secondary {
    background-color: var(--inv-secondary) !important;
}

.bg-inv-light {
    background-color: var(--inv-light) !important;
}

.bg-inv-semi-light {
    background-color: var(--inv-semi-light) !important;
}

.border-inv-primary {
    border: 2px solid var(--inv-primary) !important;
}

.bg-inv-blue-light {
    background-color: var(--inv-blue-light) !important;
}

.bg-inv-blue-pink {
    background-color: var(--inv-blue-pink) !important;
}

.bg-inv-blue-brown {
    background-color: var(--inv-blue-brown) !important;
}

.bg-inv-salmon {
    background-color: var(--inv-salmon) !important;
}

.btn-inv-primary {
    color: #fff;
    background-color: var(--inv-primary);
}

.btn-inv-primary:hover {
    color: #fff;
    background-color: var(--inv-primary-black);
}

.btn-inv-secondary {
    color: #fff;
    background-color: var(--inv-secondary);
}

.btn-inv-secondary:hover {
    color: #fff;
    background-color: var(--inv-secondary-black);
}

.custom-scroll-bar::-webkit-scrollbar {
    width: 5px;
}

.custom-scroll-bar::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
}

.custom-scroll-bar::-webkit-scrollbar-thumb {
    background: #c2c2c2;
    opacity: .4;
    border-radius: 8px;
}

.custom-scroll-bar::-webkit-scrollbar-thumb:hover {
    background: #606D74;
}

/*===== MEDIA =====*/
@media screen and (max-width: 991px) {
    .custom-navbar .navbar-collapse.collapse:not(.show) {
        display: block;
    }

    .custom-navbar .navbar-collapse {
        position: fixed;
        top: 0;
        left: 0;
        background: var(--falcon-light);
        width: 250px;
        height: 100%;
        z-index: 9999;
        padding: 25px;
        transform: translateX(-250px);
        transition: all 0.15s ease-in-out;
        display: block;
        box-shadow: 0 1rem 3rem rgba(0, 0, 0, .175);
    }

    .custom-navbar .navbar-collapse.show {
        transform: translateX(0px);
    }

    .custom-navbar .nav-overlay {
        position: absolute;
        width: 100vw;
        height: 100vh;
        background: #0000007d;
        backdrop-filter: blur(2px);
        -webkit-backdrop-filter: blur(2px);
        top: 0;
        left: 0;
        z-index: 2;
        transform: translateX(-100vw);
        transition: 0.1s ease-in-out;
        display: block;
    }

    .custom-navbar .nav-overlay.active {
        transform: translateX(0);
    }

    .custom-navbar .dropdown-login .dropdown-toggle::after {
        vertical-align: 0.9em;
    }

    .custom-navbar .dropdown-login .dropdown-menu:after {
        width: 0px;
    }
}

@media screen and (max-width: 768px) {
    #carouselHome .carousel-inner>.carousel-item img {
        height: 35vh !important;
        min-height: 250px !important;
    }
}

@media screen and (max-width: 458px) {
    #carouselHome .carousel-inner>.carousel-item img {
        height: 20vh !important;
        min-height: 150px !important;
    }

    .card-most-popular {
        transform: scale(1);
    }
}